Skip to main content
GET
/
search
/
{id}
/
stream
Stream search results
curl --request GET \
  --url https://api.osint.ly/search/{id}/stream \
  --header 'Authorization: Bearer <token>'
"event: connected\ndata: {\"search_id\":\"d290f1ee-6c54-4b01-90e6-d701748f0851\",\"timestamp\":\"2026-05-27T12:00:00.000Z\"}\n\nevent: module.result\ndata: {\"search_id\":\"d290f1ee-6c54-4b01-90e6-d701748f0851\",\"module\":{\"id\":\"4a8cbb96-70df-4bd6-8f4a-9c0bf5ffde1f\",\"name\":\"GitHub\"},\"card\":{\"github_001\":{\"username\":\"target\"}},\"timestamp\":\"2026-05-27T12:00:02.000Z\"}\n\nevent: search.finished\ndata: {\"search_id\":\"d290f1ee-6c54-4b01-90e6-d701748f0851\",\"status\":\"completed\",\"totals\":{\"module_results\":1},\"timestamp\":\"2026-05-27T12:00:08.000Z\"}\n\n"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Search UUID

Response

Server-Sent Events stream

The response is of type string.